//
// C++ Implementation: k9tools
//
// Description: 
//
//
// Author: Jean-Michel PETIT <k9copy@free.fr>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "k9tools.h"
#include <kstandarddirs.h>
#include <qdir.h>
#include <QComboBox>
#include <sys/vfs.h>


bool k9Tools::checkProgram(QString _progName) {
   return KStandardDirs::findExe( _progName,NULL,false) !=NULL ;
}

void k9Tools::clearOutput(QString name) {
    QDir dir(name);
    //delete files in directory
    QStringList lst = dir.entryList(QStringList( "*"),QDir::Files |QDir::Hidden );
    for ( QStringList::Iterator it = lst.begin(); it != lst.end(); ++it ) {
        //QString c(( *it ).latin1() );
        dir.remove (*it);
    }
    //scanning subdir
    QStringList lstdir = dir.entryList( QStringList("*"),QDir::Dirs );
    for ( QStringList::Iterator it = lstdir.begin(); it != lstdir.end(); ++it ) {
        QString c=*it;
        if ((c!=".") && c!="..") {
            clearOutput(dir.absoluteFilePath(c));
            dir.rmdir(c);
        }
    }

}

void k9Tools::setComboText(QComboBox *_cb,const QString &_text) {
        int i = _cb->findText(_text);
        if (i != -1)
            _cb->setCurrentIndex(i);
        else if (_cb->isEditable())
            _cb->setEditText(_text);
        else
            _cb->setItemText(_cb->currentIndex(), _text);
}

long k9Tools::getFreeSpace(const QString &_path) {
struct statfs sfs;
if (statfs(_path.toAscii(),&sfs) !=-1) {
   uint64_t fs=((uint64_t)sfs.f_bavail*(uint64_t)sfs.f_bsize);
   fs/=(1024*1024);
   return fs;
} else
   return -1;
}
